Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
Botan::PKCS11::MechanismWrapper::MechanismParameters Union Reference

Holds the mechanism parameters for OEAP, PSS and ECDH. More...

`#include <p11_mechanism.h>`

## Public Member Functions
| MechanismParameters ()

## Public Attributes
Ecdh1DeriveParams | ecdh_params
RsaPkcsOaepParams | oaep_params
RsaPkcsPssParams | pss_params

## Detailed Description

Holds the mechanism parameters for OEAP, PSS and ECDH.

Definition at line 96 of file p11_mechanism.h.

## Constructor & Destructor Documentation

Botan::PKCS11::MechanismWrapper::MechanismParameters::MechanismParameters | ( |  | ) |
| inline

Definition at line 98 of file p11_mechanism.h.

99 {
100 std::memset(this, 0, sizeof(MechanismParameters));
101 }
Botan::PKCS11::MechanismWrapper::MechanismParameters::MechanismParameters
MechanismParameters()
Definition: p11_mechanism.h:98

## Member Data Documentation

Ecdh1DeriveParams Botan::PKCS11::MechanismWrapper::MechanismParameters::ecdh_params

Definition at line 105 of file p11_mechanism.h.

RsaPkcsOaepParams Botan::PKCS11::MechanismWrapper::MechanismParameters::oaep_params

Definition at line 103 of file p11_mechanism.h.

RsaPkcsPssParams Botan::PKCS11::MechanismWrapper::MechanismParameters::pss_params

Definition at line 104 of file p11_mechanism.h.

The documentation for this union was generated from the following file:

- src/lib/prov/pkcs11/p11_mechanism.h